> ## Documentation Index
> Fetch the complete documentation index at: https://docs.events.intrace.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Threat

> Retrieve one threat with full detail

Returns one threat by UUID.

## Included fields

A full threat can include:

* source attribution and source list
* affected assets
* risk fields and rationales
* development/version summary counters
* geocoding precision metadata


## OpenAPI

````yaml get /v1/threats/{threat_id}
openapi: 3.1.0
info:
  title: Intrace Events Monitoring API
  version: 0.1.0
  description: >
    External asset monitoring and event intelligence API derived from the
    internal

    Intrace events investigations platform.


    This public API is tenant-scoped by API key and intentionally does not
    expose

    internal identifiers such as case_id or investigation_id.
servers:
  - url: https://api.intrace.ai
security:
  - ApiKeyAuth: []
tags:
  - name: Assets
  - name: Threats
  - name: Incidents
  - name: Alerts
  - name: Reports
  - name: Event Intelligence
paths:
  /v1/threats/{threat_id}:
    get:
      tags:
        - Threats
      summary: Get threat
      operationId: getThreat
      parameters:
        - $ref: '#/components/parameters/ThreatId'
      responses:
        '200':
          description: Threat detail.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Threat'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    ThreatId:
      name: threat_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    Threat:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        description:
          type: string
          nullable: true
        threat_rationale:
          type: string
          nullable: true
        severity:
          type: string
          enum:
            - critical
            - high
            - medium
            - low
            - negligible
        status:
          type: string
          enum:
            - active
            - monitoring
            - contained
            - resolved
            - dismissed
            - ended
        threat_type:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        location_country:
          type: string
          nullable: true
        coordinates:
          $ref: '#/components/schemas/Coordinates'
        observed_at:
          type: string
          format: date-time
          nullable: true
        expires_at:
          type: string
          format: date-time
          nullable: true
        pinned:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        attribution_types:
          type: array
          items:
            type: string
        sources:
          type: array
          items:
            type: string
        affected_assets:
          type: array
          items:
            $ref: '#/components/schemas/AffectedAsset'
        likelihood:
          type: string
          nullable: true
        impact_severity:
          type: string
          nullable: true
        risk_score:
          type: integer
          nullable: true
        risk_level:
          type: string
          nullable: true
        likelihood_rationale:
          type: string
          nullable: true
        impact_rationale:
          type: string
          nullable: true
        dismissal_reason:
          type: string
          nullable: true
        location_precision_level:
          type: string
          nullable: true
        location_uncertainty_km:
          type: number
          nullable: true
        version_count:
          type: integer
        last_version_at:
          type: string
          format: date-time
          nullable: true
        development_count:
          type: integer
        latest_development_title:
          type: string
          nullable: true
      required:
        - id
        - title
        - severity
        - status
        - pinned
        - created_at
        - updated_at
        - attribution_types
        - sources
        - affected_assets
        - version_count
        - development_count
    Coordinates:
      type: object
      properties:
        lat:
          type: number
        lng:
          type: number
      required:
        - lat
        - lng
    AffectedAsset:
      type: object
      properties:
        asset_id:
          type: string
        asset_name:
          type: string
        asset_type:
          type: string
        distance_km:
          type: number
      required:
        - asset_id
        - asset_name
        - asset_type
        - distance_km
  responses:
    NotFound:
      description: Resource not found.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````